<?
ini_set('error_reporting',1);
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa =$_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_autoriza=3;

include("../conex.php");
include("../autoriza.php");

if ($grabar==0)  
{
?>
		<script>
		alert ("No Autorizado");
		parent.location.href = 'index.php';
		</script>
	<? 
	exit();
}		
$id= $_POST["id"];
$nombre = $_POST["nombre"];
$empresa = $_POST["lstempresa"];
$bodega = $_POST["lstbodega"];
$banco = $_POST["lstbanco"];
$cuenta = $_POST["cuenta"];
$serie = $_POST["serie"];
$numero = $_POST["numero"];


if (!empty($_POST["id"]))		//($id!=0)
{
	$psql = "UPDATE banco_cuentas SET descripcion = '$nombre', id_empresa = $empresa, id_bodega = $bodega, id_banco = $banco,  numero_cuenta ='$cuenta', serie ='$serie', numero_cheque =$numero WHERE id=$id";
	$consulta = mysql_query($psql,$enlace);
?>
<script language="javascript" type="text/javascript">
alert ("Banco <?=$nombre.'\nActualizado Con Exito!';?>");
parent.location.href = 'index.php';
</script>
<?
}
else
{
$cont=0;
$sql_busca = "SELECT * FROM banco_cuentas WHERE descripcion = '$nombre'";
$res_busca =  mysql_query($sql_busca, $enlace);		
while (mysql_fetch_object ($res_busca))
	{
	$cont+=1;
	}

if ($cont==0){
	$psql = "INSERT INTO banco_cuentas (descripcion, id_empresa , id_bodega , id_banco ,  numero_cuenta , serie , numero_cheque) VALUES ('$nombre', $empresa, $bodega, $banco, '$cuenta', '$serie', $numero)";
	$consulta = mysql_query($psql,$enlace);
?>
<script language="javascript" type="text/javascript">
alert ("Cuenta de Banco <?=$nombre.'\nCreado Con Exito!';?>");
parent.location.href = 'index.php';
</script>
<?
	} else {
?>
<script language="javascript" type="text/javascript">
alert ("La Cuenta de banco <?=$nombre.'\nya existe!';?>");
parent.location.href = 'index.php';
</script>
<?
	} 
}
?>